summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-06-03 19:22:28 -0500
committerC.J. Collier <cjcollier@linuxfoundation.org>2016-06-04 14:33:28 -0700
commitcfaf0bf146c2c9e7598faf6c9efb044b8b7dba33 (patch)
tree1f1a464379594b40e1a72b280c85e504a5aa6a82
parent951b11905ff1c1556807e8f802136f5b3cc88d7a (diff)
Turn on debugging
* sourcing a debug script if DEBUG is set * echo command before executing (set -x) * reduce duplicate code * give more information about uptime Change-Id: Ic8409ea3a819f2070eac01ac84e2b3a6fe975592 Signed-off-by: Ed Warnicke <eaw@cisco.com> Signed-off-by: C.J. Collier <cjcollier@linuxfoundation.org>
-rw-r--r--jjb/tldk/include-raw-build.sh29
-rw-r--r--scripts/debug.sh25
2 files changed, 29 insertions, 25 deletions
diff --git a/jjb/tldk/include-raw-build.sh b/jjb/tldk/include-raw-build.sh
index f4ba63b63..7e28cb9da 100644
--- a/jjb/tldk/include-raw-build.sh
+++ b/jjb/tldk/include-raw-build.sh
@@ -1,32 +1,11 @@
#!/bin/bash
+
# basic build script example
+DEBUG=1
set -e -o pipefail
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find /etc/bootstrap-functions.sha"
-fi
-echo "sha1sum of this script: ${0}"
-sha1sum $0
+SCRIPTDIR=$(realpath "$(dirname $0)/../../")
+[ "${DEBUG}" -gt "0" ] && source "${SCRIPTDIR}/scripts/debug.sh"
make
diff --git a/scripts/debug.sh b/scripts/debug.sh
new file mode 100644
index 000000000..f8f9aad76
--- /dev/null
+++ b/scripts/debug.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -x
+
+# print the current slave hostname
+echo "Slave hostname:" $(hostname)
+
+CCACHE_DIR=/tmp/ccache
+if [ -d $CCACHE_DIR ];then
+ echo "$CCACHE_DIR size in KB:" $(du -sk $CCACHE_DIR|cut -f1)
+else
+ echo "$CCACHE_DIR does not exist. Slave" $(uptime -p)
+fi
+
+PFX=/etc/bootstrap
+
+for FILE in "${PFX}.sha" "${PFX}-functions.sha"
+do
+ test -f ${FILE} || (echo "Cannot find ${FILE}" && continue)
+
+ CMD="cat ${FILE}"
+ echo ${CMD} && eval "${CMD}"
+done
+
+echo "sha1 of ${0}:" $(sha1sum $0 | cut -d' ' -f 1)